public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/tcpreplay/
Date: Tue, 12 Mar 2019 21:13:07 +0000 (UTC)	[thread overview]
Message-ID: <1552425181.dffabcbf5eaf67bbb49b27ea4bb9d7ca6158f343.jer@gentoo> (raw)

commit:     dffabcbf5eaf67bbb49b27ea4bb9d7ca6158f343
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 12 21:12:04 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Mar 12 21:13:01 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dffabcbf

net-analyzer/tcpreplay: Version 4.3.2

Bug: https://bugs.gentoo.org/678266
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-analyzer/tcpreplay/Manifest               |  1 +
 net-analyzer/tcpreplay/tcpreplay-4.3.2.ebuild | 74 +++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/net-analyzer/tcpreplay/Manifest b/net-analyzer/tcpreplay/Manifest
index ed40a9677c0..2c486a83980 100644
--- a/net-analyzer/tcpreplay/Manifest
+++ b/net-analyzer/tcpreplay/Manifest
@@ -1 +1,2 @@
 DIST tcpreplay-4.3.1.tar.xz 746804 BLAKE2B c1feb541b8243b00b2fa6ee9742ced4ef47c58a58d3a95be88faa0fa4301da0cb962a620df724cd4526ea31e74a0e7d7161eb44afea37467a19976a20855e0e0 SHA512 2dbad1a88ed19db897cc1222883c02eb7f0808f64cafb3c3ef8f21c0cfcb14d3ebb92a8a01ea203ca128ed675d2e7dcdb30d0bce30eb79e729d9d45d309f9220
+DIST tcpreplay-4.3.2.tar.xz 747268 BLAKE2B 27cad902785975f9c7fbfb8abef24ae95fbc8812e0a4fabd3b1ecf74bb9f0a99cdb0c37db72c433296d3cebba89d0bbc90e944195e585bf2d1c2d93ef234c4f6 SHA512 641dd636d9c5c30637d0103f8b21da3ce234f9e3ed7ab4d2b20d004fc4a14301672dcd678b2d5e0eb90d55a97bcb0c4c67f31c790a5aa3c509a92d1142c5b7b9

diff --git a/net-analyzer/tcpreplay/tcpreplay-4.3.2.ebuild b/net-analyzer/tcpreplay/tcpreplay-4.3.2.ebuild
new file mode 100644
index 00000000000..a73ca26a8cc
--- /dev/null
+++ b/net-analyzer/tcpreplay/tcpreplay-4.3.2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools flag-o-matic
+
+DESCRIPTION="utilities for editing and replaying previously captured network traffic"
+HOMEPAGE="http://tcpreplay.appneta.com/ https://github.com/appneta/tcpreplay"
+LICENSE="BSD GPL-3"
+SRC_URI="https://github.com/appneta/${PN}/releases/download/v${PV/_/-}/${P/_/-}.tar.xz -> ${P}.tar.xz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~sparc ~x86"
+IUSE="debug pcapnav +tcpdump"
+
+DEPEND="
+	>=sys-devel/autogen-5.18.4[libopts]
+	dev-libs/libdnet
+	>=net-libs/libpcap-0.9
+	tcpdump? ( net-analyzer/tcpdump )
+	pcapnav? ( net-libs/libpcapnav )
+"
+RDEPEND="${DEPEND}"
+
+DOCS=(
+	docs/{CHANGELOG,CREDIT,HACKING,TODO}
+)
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.3.0-enable-pcap_findalldevs.patch
+)
+
+S=${WORKDIR}/${P/_/-}
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e 's|#include <dnet.h>|#include <dnet/eth.h>|g' \
+		src/common/sendpacket.c || die
+	sed -i \
+		-e 's|@\([A-Z_]*\)@|$(\1)|g' \
+		-e '/tcpliveplay_CFLAGS/s|$| $(LDNETINC)|g' \
+		-e '/tcpliveplay_LDADD/s|$| $(LDNETLIB)|g' \
+		src/Makefile.am || die
+
+	eautoreconf
+}
+
+src_configure() {
+	# By default it uses static linking. Avoid that, bug 252940
+	econf \
+		$(use_enable debug) \
+		$(use_with pcapnav pcapnav-config /usr/bin/pcapnav-config) \
+		$(use_with tcpdump tcpdump /usr/sbin/tcpdump) \
+		--enable-dynamic-link \
+		--enable-local-libopts \
+		--enable-shared \
+		--with-libdnet \
+		--with-testnic2=lo \
+		--with-testnic=lo
+}
+
+src_test() {
+	if [[ ! ${EUID} -eq 0 ]]; then
+		ewarn "Some tests were disabled due to FEATURES=userpriv"
+		ewarn "To run all tests issue the following command as root:"
+		ewarn " # make -C ${S}/test"
+		emake -j1 -C test tcpprep || die "self test failed - see ${S}/test/test.log"
+	else
+		emake -j1 test || {
+			ewarn "Note that some tests require eth0 iface to be up." ;
+			die "self test failed - see ${S}/test/test.log" ; }
+	fi
+}


             reply	other threads:[~2019-03-12 21:13 UTC|newest]

Thread overview: 62+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-03-12 21:13 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-09 10:22 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/tcpreplay/ Arthur Zamarin
2024-11-03 18:02 Sam James
2024-07-30 18:33 Arthur Zamarin
2024-07-30 18:33 Arthur Zamarin
2023-07-09 11:03 Arthur Zamarin
2023-07-09 11:03 Arthur Zamarin
2023-06-11 23:57 Sam James
2023-03-04  7:37 Arthur Zamarin
2023-03-04  5:47 Arthur Zamarin
2023-01-03  3:33 Sam James
2022-10-16 15:03 John Helmert III
2022-10-13 23:04 Sam James
2022-10-13 22:37 Sam James
2022-08-27  6:14 Sam James
2022-06-27 23:21 Sam James
2022-03-02  3:42 Sam James
2022-03-02  3:42 Sam James
2021-05-25 13:59 Thomas Deutschmann
2021-05-09  6:00 Sam James
2021-05-09  6:00 Sam James
2021-05-04 21:25 Sam James
2021-04-03 16:10 Sam James
2020-07-19 10:43 Jeroen Roovers
2020-07-18 14:20 Sam James
2020-07-18 11:44 Sam James
2020-06-15  8:35 Jeroen Roovers
2020-06-15  8:25 Jeroen Roovers
2020-06-15  7:31 Jeroen Roovers
2020-06-05  5:28 Jeroen Roovers
2019-04-20  2:27 Aaron Bauman
2019-04-10 17:04 Thomas Deutschmann
2019-04-05 20:47 Agostino Sarubbo
2019-02-04  5:06 Jeroen Roovers
2019-02-03 16:52 Jeroen Roovers
2019-02-03 16:52 Jeroen Roovers
2018-12-31 17:40 Jeroen Roovers
2018-05-30  4:45 Markus Meier
2018-02-12 19:51 Jeroen Roovers
2017-06-01 22:09 Jeroen Roovers
2017-05-19  7:06 Jeroen Roovers
2017-05-19  7:06 Jeroen Roovers
2017-05-10 11:36 Jeroen Roovers
2017-05-10 11:36 Jeroen Roovers
2017-04-27 12:54 Jeroen Roovers
2017-04-27 12:54 Jeroen Roovers
2017-04-22 10:19 Jeroen Roovers
2017-04-10 15:54 Jeroen Roovers
2017-03-24 14:54 Jeroen Roovers
2017-03-24 14:54 Jeroen Roovers
2017-03-22 17:46 Jeroen Roovers
2017-03-22  8:58 Jeroen Roovers
2017-03-20 12:28 Agostino Sarubbo
2017-03-18 11:28 Jeroen Roovers
2017-03-11  4:30 Jeroen Roovers
2016-11-24 22:42 Jeroen Roovers
2016-05-06  5:47 Jeroen Roovers
2016-03-15 17:55 Agostino Sarubbo
2016-01-13  8:46 Jeroen Roovers
2015-10-25 17:11 Jeroen Roovers
2015-10-25 11:15 Mikle Kolyada
2015-10-19  9:27 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1552425181.dffabcbf5eaf67bbb49b27ea4bb9d7ca6158f343.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox